ANM(1ACK)

NAME
anm - print name list

SYNOPSIS
anm [ -gnoprus ] [ file ... ]

DESCRIPTION
Anm prints the name list (symbol table) of each ack.out(5) format object file in the argument list. If no file is given, the symbols in `a.out' are listed.

Each symbol name is preceded by its value, a section indicator and a type indicator. A section indicator can be U (undefined symbol), A (absolute symbol), a section number (section related symbol), or - (other symbol). A type indicator can be F (filename), M (module name), E (external (global) symbol), or - (local symbol). The output is sorted alphabetically.

Options are:

-g  Print only external (global) symbols.

-n  Sort numerically rather than alphabetically.

-o  Prepend file name to each output line rather than only once.

-p  Don't sort; print in symbol-table order.

-r  Sort in reverse order.

-u  Print only undefined symbols.

-s  Sort in section order.

SEE ALSO
ack.out(5)